@echo OFF
pnputil.exe -a "%~dp0\aux_com_port_driver\acctrl.inf"
set ret=%ERRORLEVEL%
pnputil.exe -a "%~dp0\EZ430UART\430cdc.inf"
set ret2=%ERRORLEVEL%
pnputil.exe -a "%~dp0\xds110_drivers\xds110_ports.inf"
set ret3=%ERRORLEVEL%
rem -- if all installs were successful, return 0. If one of them requires a reboot, return that. Anything else is a fail.
if %ret% EQU 0 if %ret2% EQU 0 if %ret3% EQU 0 exit /B %ret%
if %ret% EQU 3010 exit /B 3010
if %ret2% EQU 3010 exit /B 3010
if %ret3% EQU 3010 exit /B 3010
exit /B 1
